""" mysql User Folder """

__version__ = "$Revision"
# $Source: /var/lib/cvs/ZProducts/mysqlUserFolder/mysqlUserFolder/__init__.py,v $
#
# $Author: cray $
# $Date: 2002/05/30 09:05:51 $
# $Date: 2003/06/28 20:19:39 $

from Globals import DTMLFile
from ImageFile import ImageFile

import mysqlUserFolder, passwords

# --------------------------------------------------------------------- */
# Initialize

def initialize (context):
    try:
        context.registerClass(
            mysqlUserFolder.mysqlUserFolder,
            meta_type='MySQL User Folder',
            constructors = (
                manage_add_mysqlUserFolder_form,
                mysqlUserFolder.manage_add_mysqlUserFolder
            )
        )            
    
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write (
        	string.join (traceback.format_exception (type, val, tb), ''))
        del type, val, tb

# --------------------------------------------------------------------- */
# Product data

manage_add_mysqlUserFolder_form = DTMLFile (
	'dtml/m_Properties', globals (), 
	mchange = 0, password_types = passwords.PASSWD_ENC_LIST [:], 
	realm = '*', use_cookies = 0, use_sessions = 0,
	mysql_server = 'localhost',
	mysql_db = 'Zope',
	anon_create_role = '', anon_create_ok = 0,
	dtml_user_dir = "dtml.user",
	cookie_domain='', cookie_path='/',
	cookie_use_realm = 0,
	mysql_port = 0, mysql_user = 'Zope', mysql_password = 'Zope',
	mysql_socket = '',
	disable_ports = [],
	default_password_type = 0)

misc_ = {
	'folder_icon': ImageFile ('icons/folder_icon.gif', globals ()),
	'user_icon': ImageFile ('icons/user_icon.gif', globals ())
}
		
		
		
