""" Configuration module """

__version__ = "$Revision: 1.4 $"
# $Source: /var/lib/cvs/ZProducts/mysqlUserFolder/mysqlUserFolder/cfg.py,v $
#
# $Author: cray $
# $Date: 2003/06/28 20:19:34 $


# --------------------------------------------------------------------- */
# Parameters

# Debug can be: 0, 1, 2
DEBUG = 0

REQUEST_RADDR_FIELD="REMOTE_ADDR"
REQUEST_RHOST_FIELD="REMOTE_HOST"

COOKIE_MIN_EXPIRE=7200		# 2 hours
							# This parameter defines minimum expiry
							# time mysql user folder will send to browsers.
								
# --------------------------------------------------------------------- */
# Validation parameters

VALIDATE_ALWAYS_SUPER = 0
VALIDATE_ONLY_ANONYMOUS = 0

VALIDATE_IGNORE_ROLES = []

# --------------------------------------------------------------------- */
# Cashing parameters
# LIFE parameters are in seconds.

CACHE_SESSIONS = 1
CACHE_SESSIONS_LIFE = 600
CACHE_USERS = 1
CACHE_USERS_LIFE = 60
CACHE_TOKENS = 1
CACHE_TOKENS_LIFE = 60

# --------------------------------------------------------------------- */
# Field sizes

FSIZE_USERNAME = 60
FSIZE_EMAIL = 60
FSIZE_REALNAME = 50
FSIZE_PASSWORD = 32
FSIZE_ROLENAME = 20
FSIZE_DOMAINS = 160

# --------------------------------------------------------------------- */
# Internal constants

ZOPE_ANONYMOUS_ROLE = 'Anonymous'
ZOPE_AUTHENTICATED_ROLE = 'Authenticated'
ZOPE_MANAGER_ROLE = 'Manager'

ZOPE_SYSTEM_ROLES = ['Anonymous', 'Authenticated', 'mysqlRole']

MYSQL_USER_ROLE = 'mysqlRole'

MYSQL_USER_EDIT_PERMISSION = 'Edit MySQL User Data'

MYSQL_ACT_METHODS = ['actChangeOther', 'actChangePassword', 'actCreateUser']

VDB_INVALID_ID = -1					# Invalid id for users and sessions.
VDB_INVALID_PASSWORD_TYPE = -1		# Invalid password type - locked password.

TOKEN_RNDSTR_LEN=30

COOKIE_MONTH_NAMES=['Jan', 'Feb', 'Mar', 'Apr', 'May', 
							'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
COOKIE_DAY_NAMES=['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']

MISC_DATA_EMPTY = (0, "")
USER_TOKEN_TIMEOUT=100 # cray
USER_TOKEN_LIFE=100 # cray
